{smcl}
{* 2013-08-09 scott long & jeremy freese}{...}
{title:Title}

{p2colset 5 15 23 2}{...}
{p2col:{cmd:mtable} {hline 2}}Construct tabels of predictions from {cmd:margins}
| 2013-08-09{p_end}
{p2colreset}{...}


{title:General syntax}

{p 4 18 2}
{cmd:mtable} [{it:if}] [{it:in}]{cmd:,} [{it:mtable-options}] [{it:margins-options}]
{p_end}

{marker overview}
{title:Overview}

{pstd}
{cmd:mtable} runs {cmd:margins} command and save results to a
table. If the outcome has multiple categories, {cmd:mtable} automatically
submits multiple {cmd:margins} commands for all outcomes and combine the
results in the table. Results from multiple calls of {cmd:mtable} can be
combined into a single table.
{p_end}

{pstd}
{bf:Warning:} {cmd:margins} is a complicated command with many options.
It is possible that {cmd:mtable} will not work with every option that is
available with {cmd:margins}.
{p_end}

{title:Recent changes or additions for documentation}

    mtable, at(a=1)     : a is only listed in table with atvar(a)
    mtable, at(a=(0 1)) : a is listed in table

{title:Options}

    {help mtable##margins:Options for margins}
    {help mtable##stats:Which statistics to display}
    {help mtable##atvars:Displaying at-variables}
    {help mtable##show:Controlling how results are displayed}
    {help mtable##combine:Combining tables}
    {help mtable##matrices:Matrices that are created}
    {help mtable##returns:Returns}

{marker margins}
{dlgtab:Options for margins}
{p2colset 7 24 25 0}
{p 6 6 2}
Most options from {cmd:margins} can be used.

{synopt:{opt at(atspec)}}
Specify the values of regressors for which predictions are calculated.
For example, {cmd:at(wc=(0 1) k5=(0 1 2 3)}.
For details, see {help margins##at_op:at(atspec)}.

{synopt:{opt atmeans}}
All regressors not specified with {cmd:at()} are held at their means.
If {cmd:if} or {cmd:in} are used to specify the sample, the means are
computed for the selected observations. If {cmd:atmeans} is not specified,
marginal effects are averaged across observations.

{synopt:{opt post}}
For binary models, this options posts the estimates in the same way that
{cmd:margins, post} does.

{p 6 6 2}
{it:if} or {it:in} conditions select the observations
used by {cmd:margins}.
With {cmd:atmeans}, the means are computed conditionally
on the {it:if} or {it:in} conditions. If {cmd:atmeans} is not used, the
average prediction is the average for the sample selected by the
{it:if} or {it:in} conditions.

{synopt:{opt d:etails}}
Display output from {cmd:margins} used to estimate quantities in table.


{marker stats}
{dlgtab:Statistics to include in the table}
{p2colset 7 29 29 0}
{p 6 6 2}

{synopt:{opt stat:istics(statlist)}}specifies which statistics to
include in the table. By default only estimates are displayed. Additional
statistics can be select with this option.
{p_end}

{p2colset 10 23 23 12}{...}
{p2col :Name}Description{p_end}
{p2line}
{p2col :{ul:{bf:est}}{bf:imate}}Estimates including probabilities, dydx, etc.{p_end}
{p2col :{bf:ll}}Lower level bound of confidence interval{p_end}
{p2col :{bf:ul}}Upper level bound of confidence interval{p_end}
{p2col :{bf:pvalue}}p-value for test prediction is 0.{p_end}
{p2col :{bf:se}}Standard error of prediction.{p_end}
{p2col :{bf:z}}z-value for test prediction is 0.{p_end}
{p2col :{bf:all}}Display all statistics{p_end}
{p2col :{bf:ci}}Display estimate, ll, and ul{p_end}
{p2line}
{p2colset 8 27 28 0}
{synopt:{opt allstats}}
Display all statictics.
Equivalent to {cmd:statistics(all)}.

{synopt:{opt ci}}
Display estimate and bounds of confidence interval.
Equivalent to {cmd:statistics(est ll ul)}.

{synopt:{opt pv:alue}}
Display estimate and p-value.
Equivalent to {cmd:statistics(est pvalue)}.

{synopt:{opt cpr}}
Show conditional prediction for count models.
{p_end}

{synopt:{opt out:comes(numlist)}}
Estimates displayed for these values of the outcome.
{cmd:outcomes()} requires the estimation model to be
"categorical", "binary", or "count", where these are
defined by the behavior of the {cmd:predict} command as discussed
regarding {helpb mtable##model:model types below}.
Outcome values must be non-negative integers.
{p_end}

{marker atvars}
{dlgtab:at-variables in the table}
{p2colset 9 26 26 0}
{p 6 6 2}
By default, the table includes all variables specified with {cmd:at()}
that vary; these variables are referred to as "at-variables".
The following options control how at-variables are included in the table.
{p_end}

{synopt:{opt atv:ars(varlist)}}Selects the at-variables to
include in the table.
{bf:atvars(_none)} excludes all at-variables.
{bf:atvars(_all)} includes all variables including those that do not vary.
{p_end}

{synopt:{opt noat:vars}}Do not include any at-variables in table.
This is equivalent to {cmd:atvars(_none)}.
{p_end}

{synopt:{opt atr:ight}}By default, the at-variables are listed
before the estimates. {bf:atright} places the at-variables to the
right.
{p_end}

{synopt:{opt mlistat}}Run {cmd:mlistat, novary} after displaying the table.
This lists the values of variables that are held constant when predictions
are made.
{p_end}


{marker show}
{dlgtab:Controlling how results are displayed}
{p2colset 9 25 26 0}
{synopt:{opt long}}
Display table with statistics in rows. The column are labeled
with the category number or label.

{synopt:{opt wide}}
Display table with statistics in columns. Column names are the
name of the statistic plus the category name or label.

{synopt:{opt roweq:nm(string)}}
Add a row equation name to the table.

{synopt:{opt coleq:nm(string)}}
Add a column equation name to the table.

{synopt:{opt rowst:ub(string)}}
String is added to all row names.

{synopt:{opt colst:ub(string)}}
String is added to all column names.

{synopt:{opt rowna:me(string)}}
Name to label row.

{synopt:{opt title(string)}} Title used to label table.

{synopt:{opt tw:idth(#)}} Width of margins for row labels.

{synopt:{opt wid:th(#)}} Width of columns with estimates.

{synopt:{opt dec:imal(#)}} Number of decimal digits displayed.

{synopt:{opt estn:ame(string)}} Name to label estimates. By
default the name from {cmd:margins} is used.

{synopt:{opt nol:abel}} Do not use value labels when labeling outcomes.
{p_end}

{synopt:{opt nobs}} Display number of observations used by {cmd:margins}.
{p_end}

{synopt:{opt valuel:ength(#)}} Limits length of value labels used to
label results.
{p_end}

{synopt:{opt names(rows|columns|all|none)}} Specify whether if row names,
column names, all (row and column) names, or no names will be shown in
table. See {helpb matlist} for details. This option overwrites the
defaults and can lead to poorly formatted output.
{p_end}

{marker combine}
{dlgtab:Combining tables}
{p2colset 7 24 25 0}
{p 6 6 2}
You can combine the current {cmd:mtable} results with those
from the last execution of {cmd:mtable}. This allows you to build tables
usingas many {cmd:mtable} commands as needed.
{p_end}

{synopt:{opt below}}
Place the current results below those from last {cmd:mtable}.
{p_end}

{synopt:{opt right}}
Place current results to the right of those from last {cmd:mtable}.
{p_end}

{synopt:{opt clear}}
Clear prior results before saving results to construct a new table.
{p_end}

{marker model}
{dlgtab:Model types}
{p2colset 9 24 25 0}
{p 6 6 2}
Behavior of command depends on
what options are permitted by {cmd:predict}.
For convenience, three major types of models are called {it:categorical},
{it:count}, and {it:binary} models.

{p2line}
{p2col :categorical}{cmd:predict} allows {cmd:outcome(}{it:#}{cmd:)},
such as {cmd: mlogit}.{p_end}
{p2col :count}{cmd:predict} allows {cmd:pr(}{it:#}{cmd:)},
such as {cmd: poisson}.{p_end}
{p2col :binary}{cmd:predict} default is {cmd:pr}, such as {cmd: logit}.{p_end}
{p2col :other}None of the above, such as {cmd: regress}.{p_end}
{p2line}

{p 6 6 2}
Categorical or binary models assume all outcomes
unless either {cmd:outcome()} is specified
or the marginal prediction is specified using the {cmd:margins} options
{cmd:predict()} or {cmd:expression()}.

{p 6 6 2}
Cumulative predictions are calculated for categorical and count outcomes,
unless {cmd:outcome()} is used to specify values that exclude
a subset of the lowest observed values of the outcome.


{marker matrices}
{dlgtab:Matrices that are created}

{p2colset 7 26 27 0}
{p 6 6 2}
Matrices with the displayed results are saved to memory if the statistic is
shown in the table (controlled by {cmd:statistics()}).
{p_end}

{p2colset 10 28 29 12}{...}
{p2col :Name} Description{p_end}
{p2line}
{p2col :{bf:_mtab_displayed}} The displayed table.{p_end}
{p2col :{bf:_mtab_estimate}} Estimates.{p_end}
{p2col :{bf:_mtab_ll}} Lower bounds.{p_end}
{p2col :{bf:_mtab_ul}} Upper bounds.{p_end}
{p2col :{bf:_mtab_pvalue}} P-values.{p_end}
{p2col :{bf:_mtab_se}} Standard errors.{p_end}
{p2col :{bf:_mtab_z}} Z-values.{p_end}
{p2line}

{synopt:{opt mat:rix(name)}}
Save _mtab_displayed to the matrix named {it:matrix-name}. If the matrix
    exists, it will be over-written.


{marker returns}{...}
{dlgtab:Returns}

{p2colset 7 24 25 0}
{p 6 6 2}
{cmd:r(table)} is a matrix with the results shown in the precdiction table.

{p 6 6 2}
{cmd:r(atspex)} is a local with the at-specification used in making predicitons.


{marker examples}{...}
{title:Examples}

    {hline}


    {hline}


    {hline}

INCLUDE help spost13_footer
